package com.action;

import com.bean.Repair_addBean;
import com.dao.RepairDao;
import com.opensymphony.xwork2.ActionSupport;
import org.apache.struts2.ServletActionContext;

import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.PrintWriter;
import java.util.List;

public class RepairList extends ActionSupport {

    private int repair_id;


    public int getRepair_id() {
        return repair_id;
    }

    public void setRepair_id(int studentid) {
        repair_id = repair_id;
    }

    private List<Repair_addBean> list;
    public List<Repair_addBean> getList() { return list;
   }
    public void setList(List<Repair_addBean> list) {
       this.list = list;
   }

    //处理用户请求的execute方法
    public String execute() throws Exception {

        //解决乱码，用于页面输出
        HttpServletResponse response=null;
        response= ServletActionContext.getResponse();
        response.setContentType("text/html;charset=UTF-8");
        response.setCharacterEncoding("UTF-8");
        PrintWriter out = response.getWriter();

        //创建session对象
        HttpSession session = ServletActionContext.getRequest().getSession();
        //验证是否正常登录
        //查询
       // list=new RepairDao(List<Repair_addBean>)().GetBean(repair_id);

      list=new RepairDao().GetList("strwhere","repair_id");
        return SUCCESS;

    }

    //判断是否空值
    private boolean isInvalid(String value) {
        return (value == null || value.length() == 0);
    }

    //测试
    public static void main(String[] args) {
        System.out.println();
    }
}
